/* Popups ================ */

@import "./src/lib/core/variables";

$popup-background-color: $color-white;
$popup-border-radius: 8px;

$popup-container-width: 97%;
$popup-container-max-width: 500px;
$popup-container-z-index: 2;

$popup-overlay-border: 1px solid $color-primary;
$popup-overlay-background-color: rgba($color-black-light, .8);
$popup-overlay-z-index: 1;

$popup-button-close-size: 20px;
$popup-button-close-icon-size: 16px;
$popup-button-close-color: $color-black-light;
$popup-button-close-positions: 20px;
$popup-button-close-z-index: 2;

.popup {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: z(popup);
  display: flex;
  width: 100%;
  height: 100%;
  overflow: hidden;
  visibility: hidden;
  opacity: 0;
  transition: $transition-type $transition-time;
  pointer-events: none;
  -webkit-overflow-scrolling: touch;
}

.popup--open {
  visibility: visible;
  opacity: 1;
  pointer-events: auto;

  .popup__overlay {
    visibility: visible;
    opacity: 1;
  }

  .popup__container {
    opacity: 1;
    transform: scale(1);
  }
}

.popup__overlay {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: $popup-overlay-z-index;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: $popup-overlay-background-color;
  visibility: hidden;
  opacity: 0;
  transition: $transition-type $transition-time;
}

.popup__container {
  position: relative;
  z-index: $popup-container-z-index;
  display: flex;
  align-items: center;
  width: $popup-container-width;
  max-width: $popup-container-max-width;
  height: auto;
  min-height: 300px;
  max-height: 100%;
  margin: auto;
  border: $popup-overlay-border;
  border-radius: $popup-border-radius;
  overflow-y: auto;
  background-color: $popup-background-color;
  background-image: url("../images/popup_background.jpg");
  background-position: center;
  background-size: cover;
  opacity: 0;
  transform: scale(.7);
  transition: $transition-type $transition-time;
  -webkit-overflow-scrolling: touch;
}

.popup__close {
  position: absolute;
  top: $popup-button-close-positions;
  right: $popup-button-close-positions;
  z-index: $popup-button-close-z-index;
  display: flex;
  align-items: center;
  justify-content: center;
  width: $popup-button-close-size;
  height: $popup-button-close-size;
  padding: 0;
  border: 0;
  color: $popup-button-close-color;
  font-size: 0;
  background: transparent;

  &:hover {
    color: $color-primary;
  }

  .icon {
    width: $popup-button-close-icon-size;
    height: $popup-button-close-icon-size;
  }
}

.popup__content {
  width: 100%;
  height: 100%;
  padding: 45px 30px;
  text-align: center;

  @include mq("tablet", "max") {
    max-width: 400px;
    padding: 30px 20px;
    margin: 0 auto;
  }
}

.popup__header {
  padding-right: 15px;
  padding-left: 15px;
  margin-bottom: 30px;
}

.popup__title {
  margin-bottom: 15px;
  font-weight: $text-weight-bold;

  @include mq("tablet", "max") {
    font-size: 24px;
  }
}

.popup__subtitle {

  @include mq("tablet", "max") {
    font-size: 14px;
  }
}
/* ================ end popups */
